//----------------------------------------------------------------------------
// FILE NAME: ibasepl.hpp
//
// DESCRIPTION:
//      Pragma library definitions for base
//
// COPYRIGHT:
//   IBM Open Class Library
//   Licensed Materials - Property of IBM
//
//   5645-001
//   (C) Copyright IBM Corporation 1992, 1997
//
// Revision: 78  1.6.1.9  source/core/base/ibasepl.hpp, appsupport, ioc.v400, 981126  
// ----------------------------------------------------------------------------

#ifndef _IBASEPL_
#define _IBASEPL_

#ifndef IC_IMPORTB
  #if defined(__WINDOWS__) && defined(__IMPORTLIB__)
    #define IC_IMPORTB  _Import
  #else
    #define IC_IMPORTB
  #endif
#endif

#ifndef IC_EXPORTB



    #define IC_EXPORTB

#endif

/*-------------------------- Pragma Library Support --------------------------*/
#ifndef _IPRAGLIB_
#include <ipraglib.h>
#endif

#if !defined(__NO_DEFAULT_LIBS__)
    #if !defined(__NO_BASE_LIB__)

            #if defined(_MSC_VER)   // MSVC
    		    #pragma comment(lib, OPENCLASS_LIBRARY_NAME_2(base,ob))
            #else                   // VAC
    		    #pragma library(OPENCLASS_LIBRARY_NAME_2(base,ob))
            #endif
            #if !defined(__IMPORTLIB__)
                #if defined(_MSC_VER)   // MSVC
                    #pragma comment(lib, "kernel32.lib")
                    #pragma comment(lib, "advapi32.lib")
                #else                   // VAC
                    #pragma library("kernel32.lib")
                    #pragma library("advapi32.lib")
                #endif
            #endif


































    #else
        // This will be seen in the context of building the library only.

            #if defined(_MSC_VER)   // MSVC
                #pragma comment(lib, "kernel32.lib")
                #pragma comment(lib, "advapi32.lib")
            #else                   // VAC
                #pragma library("kernel32.lib")
                #pragma library("advapi32.lib")
            #endif

















    #endif // __NO_BASE_LIB__
#endif  // __NO_DEFAULT_LIBS__

#endif // _IBASEPL_
