// IBM Open Class Library
//
// Licensed Materials - Property of IBM
//
// (C) Copyright IBM Corporation, 1992, 1997 All Rights Reserved
//
// Revision: 77 1.5.1.4 source/core/collect/iiaks.h, collection, ioc.v400, trackPseudoLevel 
#ifndef _IIAKS_
#define _IIAKS_

#include <iiacllct.h>


#pragma info (nocls, nocnd, nocns, nocnv, noext, nognr, novft)










#if __IBMCPP__ >= 400
#pragma namemangling(compat)
#endif

#pragma pack(push,4)
#pragma enum(4)

class IC_EXPORTC IAKeySetImpl : public IACollectionImpl {
public:

          ~IAKeySetImpl
                            ();

protected:

           IAKeySetImpl
                            (Ops&);

  IBool     LocateNextElementWithKey
                            (void const*, ICursorImpl&) const;

  INumber  NumberOfDifferentKeys
                            () const;

  INumber  NumberOfElementsWithKey
                            (void const*) const;

  INumber  RemoveAllElementsWithKey
                            (void const*);

  IBool     SetToNextWithDifferentKey
                            (ICursorImpl&) const;

private:









};

#pragma enum(pop)
#pragma pack(pop)

#if __IBMCPP__ >= 400
#pragma namemangling()
#endif






#pragma info (restore)


#endif // _IIAKS_
