// IBM Open Class Library
//
// Licensed Materials - Property of IBM
//
// (C) Copyright IBM Corporation, 1992, 1997 All Rights Reserved
//
// Revision: 85 1.5.1.4 source/core/collect/iiarel.h, collection, ioc.v400, trackPseudoLevel 
#ifndef _IIAREL_
#define _IIAREL_

#include <iiacllct.h>


#pragma info (nocls, nocnd, nocns, nocnv, noext, nognr, novft)










#if __IBMCPP__ >= 400
#pragma namemangling(compat)
#endif

#pragma pack(push,4)
#pragma enum(4)

class IC_EXPORTC IARelationImpl : public IACollectionImpl {
public:

          ~IARelationImpl
                            ();

  virtual
  void     Antivalence      (IARelationImpl const&);

  virtual
  void     AddAntivalence   (IARelationImpl const&,
                             IARelationImpl const&); 

  virtual
  void     AddDifference    (IARelationImpl const&,
                             IARelationImpl const&); 

  virtual
  void     AddIntersection  (IARelationImpl const&,
                             IARelationImpl const&);

  virtual
  void     AddUnion         (IARelationImpl const&,
                             IARelationImpl const&);

  virtual
  void     Difference       (IARelationImpl const&);

  virtual
  void     Intersection     (IARelationImpl const&);

  virtual
  void     Union            (IARelationImpl const&);

  virtual
  IBool     operator==       (IARelationImpl const&) const = 0;

  IBool     operator!=       (IARelationImpl const&) const;

protected:

           IARelationImpl
                            (Ops&);

  IBool     LocateNext       (void const*, ICursorImpl&) const;

  INumber  NumberOfOccurrences
                            (void const*) const;

  INumber  RemoveAllOccurrences
                            (void const*);

private:























};

#pragma enum(pop)
#pragma pack(pop)

#if __IBMCPP__ >= 400
#pragma namemangling()
#endif






#pragma info (restore)


#endif // _IIAREL_
