#ifndef _IMAPLST2_C_
#define _IMAPLST2_C_
/*******************************************************************************
*                                                                              *
* COPYRIGHT:                                                                   *
*   IBM Open Class Library                                                     *
*   (C) Copyright International Business Machines Corporation 1992, 1997       *
*   Licensed Material - Program-Property of IBM - All Rights Reserved.         *
*                                                                              *
*******************************************************************************/
#include <imaplst2.h>

template <class Element, class Key, class Imp>
  ITImpMapAsList< Element, Key, Imp>::ITImpMapAsList( unsigned long numberOfElements )
     : ITImpKeySet<Element, Key, Imp>( numberOfElements)
     {}

template <class Element, class Key, class Imp>
  ITImpMapAsList< Element, Key, Imp>::~ITImpMapAsList( )
{}

template <class Element, class Key>
  IMapAsList< Element, Key>::IMapAsList( unsigned long numberOfElements)
     : ITImpMapAsList<Element, Key, Element> ( numberOfElements)
{}


template <class Element, class Key>
  IMapAsList< Element, Key>::~IMapAsList( )
{}


#ifdef IC_USE_STL_VPTR
  template <class Element, class Key>
    IVPtrMapAsList< Element, Key>::IVPtrMapAsList( unsigned long numberOfElements)
       : ITImpMapAsList<Element, Key, void*> ( numberOfElements)
  {}


  template <class Element, class Key>
    IVPtrMapAsList< Element, Key>::~IVPtrMapAsList( )
  {}
#endif

#endif // _IMAPLST2_C_
