// IBM Open Class Library
//
// Licensed Materials - Property of IBM
//
// (C) Copyright IBM Corporation, 1992, 1997 All Rights Reserved
//
// Revision: 33 1.5.1.3 source/core/collect/irdeque.h, collection, ioc.v400, 981126 
#ifndef _IRDEQUE_
#define _IRDEQUE_

#include <ilanglvl.hpp>
#include <iadqu.h>


#pragma info (nocls, nocnd, nocns, nocnv, noext, nognr, novft)










#if __IBMCPP__ >= 400
#pragma namemangling(compat)
#endif

#pragma pack(push,4)
#pragma enum(4)

template <class Element, class Base>
class IRDeque : public IADeque <Element> {
public:

  typedef TYPENAME Base::Cursor Cursor;

           IRDeque
                            (Base&);

  IRDeque <Element, Base>&
           operator=        (IRDeque
                              <Element, Base> const&);

protected:

private:











};

#pragma enum(pop)
#pragma pack(pop)

#if __IBMCPP__ >= 400
#pragma namemangling()
#endif





#include <irdeque.inl>


#pragma info (restore)


#endif // _IRDEQUE_
