// IBM Open Class Library
//
// Licensed Materials - Property of IBM
//
// (C) Copyright IBM Corporation, 1992, 1997 All Rights Reserved
//
// Revision: 50 1.5.1.3 source/core/collect/irkeybag.h, collection, ioc.v400, 981126 
#ifndef _IRKEYBAG_
#define _IRKEYBAG_

#include <ilanglvl.hpp>
#include <iakb.h>


#pragma info (nocls, nocnd, nocns, nocnv, noext, nognr, novft)










#if __IBMCPP__ >= 400
#pragma namemangling(compat)
#endif

#pragma pack(push,4)
#pragma enum(4)

template <class Element, class Key, class Base>
class IRKeyBag : public IAKeyBag <Element, Key> {
public:

  typedef TYPENAME Base::Cursor Cursor;

           IRKeyBag
                            (Base&);

  IRKeyBag <Element, Key, Base>&
           operator=        (IRKeyBag
                              <Element, Key, Base> const&);

protected:

private:











};

#pragma enum(pop)
#pragma pack(pop)

#if __IBMCPP__ >= 400
#pragma namemangling()
#endif





#include <irkeybag.inl>


#pragma info (restore)


#endif // _IRKEYBAG_
