// IBM Open Class Library
//
// Licensed Materials - Property of IBM
//
// (C) Copyright IBM Corporation, 1992, 1997 All Rights Reserved
//
// Revision: 52 1.5.1.3 source/core/collect/irkeyset.h, collection, ioc.v400, 981126 
#ifndef _IRKEYSET_
#define _IRKEYSET_

#include <ilanglvl.hpp>
#include <iaks.h>


#pragma info (nocls, nocnd, nocns, nocnv, noext, nognr, novft)










#if __IBMCPP__ >= 400
#pragma namemangling(compat)
#endif

#pragma pack(push,4)
#pragma enum(4)

template <class Element, class Key, class Base>
class IRKeySet : public IAKeySet <Element, Key> {
public:

  typedef TYPENAME Base::Cursor Cursor;

           IRKeySet
                            (Base&);

  IRKeySet <Element, Key, Base>&
           operator=        (IRKeySet
                              <Element, Key, Base> const&);

protected:

private:











};

#pragma enum(pop)
#pragma pack(pop)

#if __IBMCPP__ >= 400
#pragma namemangling()
#endif





#include <irkeyset.inl>


#pragma info (restore)


#endif // _IRKEYSET_
