// IBM Open Class Library
//
// Licensed Materials - Property of IBM
//
// (C) Copyright IBM Corporation, 1992, 1997 All Rights Reserved
//
// Revision: 79 1.4.1.3 source/core/collect/iasrt.h, collection, ioc.v400, 981126 
#ifndef _IASRT_
#define _IASRT_

#include <iaorder.h>


#pragma info (nocls, nocnd, nocns, nocnv, noext, nognr, novft)










#if __IBMCPP__ >= 400
#pragma namemangling(compat)
#endif

#pragma pack(push,4)
#pragma enum(4)

template <class Element>
class IASortedCollection : public IAOrderedCollection <Element> 
{
  typedef  IACollectionImpl Implementation;
public:


           IASortedCollection
                            (INotifier&);


          ~IASortedCollection
                            ();

protected:

           IASortedCollection
                            ();

           IASortedCollection
                            (IASortedCollection <Element> const&);

private:








};

#pragma enum(pop)
#pragma pack(pop)

#if __IBMCPP__ >= 400
#pragma namemangling()
#endif





#include <iasrt.inl>


#pragma info (restore)


#endif // _IASRT_
