// Revision: 24 1.5.1.2 source/ui/cnr/icnrobjn.inl, container, ioc.v400, 981126 
#ifndef _ICNROBJN_INL_
#define _ICNROBJN_INL_
/*******************************************************************************
* FILE NAME: icnrobjn.inl                                                      *
*                                                                              *
* DESCRIPTION:                                                                 *
*   This file contains the definition of the inline, non-memory-debug version  *
*   of operators new and delete for the classes declared in icnrobj.hpp.       *
*                                                                              *
* COPYRIGHT:                                                                   *
*   IBM Open Class Library                                                     *
*   Licensed Material - Property of IBM                                        *
*   (C) Copyright IBM Corp. 1992, 1997  All Rights Reserved.                   *
*                                                                              *
*******************************************************************************/

#ifndef __DEBUG_ALLOC__
inline void* IContainerObject::operator new ( size_t size )
{
  return newRecord( size );
}

inline void IContainerObject::operator delete ( void *p )
{
  deleteRecord( p );
}
#endif
#endif // _ICNROBJN_INL_
