/**
 * This file describes the Graphic System's front-end number system.
 *
 *   IBM Open Class Library
 *   (C) Copyright International Business Machines Corporation,  1997
 *   Licensed Material - Program-Property of IBM - All Rights Reserved.
 *
 */

// Revision: 94 1.14.1.5 source/albert/graph2d/igrtypes.hpp, 2d, ioc.v400, 981126 

#ifndef _IGRTYPES_
#define _IGRTYPES_

#include <igraphpl.hpp>

/** Coordinates in 2-D or 3-D. */
typedef double GCoordinate;

/** Angular measure in degrees. */
typedef double GDegrees;

/** Parametric value (e.g., of a curve or surface). */
typedef double GParametric;

/** 16.16 Fixed point. */
typedef long Fixed;

#endif // _IGRTYPES_
