// IBM Open Class Library
//
// Licensed Materials - Property of IBM
//
// (C) Copyright IBM Corporation, 1992, 1997 All Rights Reserved
//
// Revision: 66 1.5.1.4 source/core/collect/iiabag.h, collection, ioc.v400, trackPseudoLevel 
#ifndef _IIABAG_
#define _IIABAG_

#include <iiacllct.h>


#pragma info (nocls, nocnd, nocns, nocnv, noext, nognr, novft)










#if __IBMCPP__ >= 400
#pragma namemangling(compat)
#endif

#pragma pack(push,4)
#pragma enum(4)

class IC_EXPORTC IABagImpl : public IACollectionImpl {
public:

          ~IABagImpl
                            ();

  virtual
  void     Antivalence      (IABagImpl const&);

  virtual
  void     AddAntivalence   (IABagImpl const&,
                             IABagImpl const&); 

  virtual
  void     AddDifference    (IABagImpl const&,
                             IABagImpl const&); 

  virtual
  void     AddIntersection  (IABagImpl const&,
                             IABagImpl const&);

  virtual
  void     AddUnion         (IABagImpl const&,
                             IABagImpl const&);

  virtual
  void     Difference       (IABagImpl const&);

  virtual
  void     Intersection     (IABagImpl const&);

  virtual
  INumber  NumberOfDifferentElements
                            () const = 0;

  virtual
  IBool     SetToNextDifferentElement
                            (ICursorImpl&) const = 0;

  virtual
  void     Union            (IABagImpl const&);

  virtual
  IBool     operator==       (IABagImpl const&) const = 0;

  IBool     operator!=       (IABagImpl const&) const;

protected:

           IABagImpl
                            (Ops&);

private:



























};

#pragma enum(pop)
#pragma pack(pop)

#if __IBMCPP__ >= 400
#pragma namemangling()
#endif






#pragma info (restore)


#endif // _IIABAG_
