// IBM Open Class Library
//
// Licensed Materials - Property of IBM
//
// (C) Copyright IBM Corporation, 1992, 1997 All Rights Reserved
//
// Revision: 95 1.5.1.4 source/core/collect/iiasr.h, collection, ioc.v400, trackPseudoLevel 
#ifndef _IIASR_
#define _IIASR_

#include <iiacllct.h>


#pragma info (nocls, nocnd, nocns, nocnv, noext, nognr, novft)










#if __IBMCPP__ >= 400
#pragma namemangling(compat)
#endif

#pragma pack(push,4)
#pragma enum(4)

class IC_EXPORTC IASortedRelationImpl : public IACollectionImpl {
public:

          ~IASortedRelationImpl
                            ();

  virtual
  void     Antivalence      (IASortedRelationImpl const&);

  virtual
  void     AddAntivalence   (IASortedRelationImpl const&,
                             IASortedRelationImpl const&); 

  virtual
  void     AddDifference    (IASortedRelationImpl const&,
                             IASortedRelationImpl const&); 

  virtual
  void     AddIntersection  (IASortedRelationImpl const&,
                             IASortedRelationImpl const&);

  virtual
  void     AddUnion         (IASortedRelationImpl const&,
                             IASortedRelationImpl const&);

  virtual
  long     Compare          (IASortedRelationImpl const&,
                             ICompFunc, void*) const;

  virtual
  void     Difference       (IASortedRelationImpl const&);

  virtual
  void     Intersection     (IASortedRelationImpl const&);

  virtual
  void     Union            (IASortedRelationImpl const&);

  virtual
  IBool     operator==       (IASortedRelationImpl const&) const = 0;

  IBool     operator!=       (IASortedRelationImpl const&) const;

protected:

           IASortedRelationImpl
                            (Ops&);

  INumber  NumberOfOccurrences
                            (void const*) const;

  INumber  RemoveAllOccurrences
                            (void const*);

private:

























};

#pragma enum(pop)
#pragma pack(pop)

#if __IBMCPP__ >= 400
#pragma namemangling()
#endif






#pragma info (restore)


#endif // _IIASR_
