#ifndef _IMAPSTS2_C_
#define _IMAPSTS2_C_
/*******************************************************************************
*                                                                              *
* COPYRIGHT:                                                                   *
*   IBM Open Class Library                                                     *
*   (C) Copyright International Business Machines Corporation 1992, 1997       *
*   Licensed Material - Program-Property of IBM - All Rights Reserved.         *
*                                                                              *
*******************************************************************************/
#include <imapsts2.h>


template <class Element, class Key, class Imp>
  ITImpMapOnSortedLinkedSequence< Element, Key, Imp>::ITImpMapOnSortedLinkedSequence( unsigned long numberOfElements )
     : ITImpKeySet<Element, Key, Imp>( numberOfElements)
     {}

template <class Element, class Key, class Imp>
  ITImpMapOnSortedLinkedSequence< Element, Key, Imp>::~ITImpMapOnSortedLinkedSequence( )
{}

template <class Element, class Key>
  IMapOnSortedLinkedSequence< Element, Key>::IMapOnSortedLinkedSequence( unsigned long numberOfElements)
     : ITImpMapOnSortedLinkedSequence<Element, Key, Element> ( numberOfElements)
{}


template <class Element, class Key>
  IMapOnSortedLinkedSequence< Element, Key>::~IMapOnSortedLinkedSequence( )
{}


#ifdef _USE_STL_VPTR_
  template <class Element, class Key>
    IVPtrMapOnSortedLinkedSequence< Element, Key>::IVPtrMapOnSortedLinkedSequence( unsigned long numberOfElements)
       : ITImpMapOnSortedLinkedSequence<Element, Key, void*> ( numberOfElements)
  {}


  template <class Element, class Key>
    IVPtrMapOnSortedLinkedSequence< Element, Key>::~IVPtrMapOnSortedLinkedSequence( )
  {}
#endif

#endif // _IMAPSTS2_C_
