// IBM Open Class Library
//
// Licensed Materials - Property of IBM
//
// (C) Copyright IBM Corporation, 1992, 1997 All Rights Reserved
//
// Revision: 71 1.3.1.2 source/core/collect/irsrtbag.inl, collection, ioc.v400, 981126  
#ifndef _IRSRTBAG_INL_
#define _IRSRTBAG_INL_

// ---
// IRSortedBag
// ---

// public members

template <class Element, class Base>
inline
IRSortedBag <Element, Base>::
IRSortedBag (Base& base)
{ SetImpl (&IACollection <Element>::ImplOf (base));
}

template <class Element, class Base>
inline IRSortedBag <Element, Base>&
IRSortedBag <Element, Base>::
operator= (IRSortedBag
            <Element, Base> const& collection)
{ IACollectionBase::ImplOf (*this).
    Copy (IACollectionBase::ImplOf (collection));
  return *this;
}

#endif // _IRSRTBAG_INL_
