// Revision: 57 1.4.1.4 source/ui/basectl/ispbttnh.hpp, listctls, ioc.v400, trackPseudoLevel  
#ifndef _ISPBTTNH_
  #define _ISPBTTNH_
/*******************************************************************************
* FILE NAME: ispbttnh.hpp                                                      *
*                                                                              *
* DESCRIPTION:                                                                 *
*   Declaration of the classes:                                                *
*     ITextSpinButtonNotifyHandler                                             *
*                                                                              *
* COPYRIGHT:                                                                   *
*   IBM Open Class Library                                                     *
*   (C) Copyright International Business Machines Corporation 1992, 1997       *
*   Licensed Material - Program-Property of IBM - All Rights Reserved.         *
*                                                                              *
*******************************************************************************/
#include <iwinnhdr.hpp>

#if __IBMCPP__ >= 400
#pragma namemangling(compat)
#endif

#pragma enum(4)
#pragma pack(push,4)

class ITextSpinButtonNotifyHandler : public IWindowNotifyHandler {
typedef IWindowNotifyHandler
  Inherited;
public:
/*----------------------------- Constructors ---------------------------------*/
  ITextSpinButtonNotifyHandler();
virtual
  ~ITextSpinButtonNotifyHandler();

protected:
/*---------------------------- Event Processing ------------------------------*/
virtual IBool
  dispatchHandlerEvent (IEvent& anEvent);
};

#pragma pack(pop)
#pragma enum(pop)

#if __IBMCPP__ >= 400
#pragma namemangling()
#endif

#endif /* _ISPBTTNH_ */
