// Revision: 85 1.4.1.4 source/ui/basectl/itextcnh.hpp, control, ioc.v400, trackPseudoLevel 
#ifndef _ITEXTCNH_
  #define _ITEXTCNH_
/*******************************************************************************
* FILE NAME: itextcnh.hpp                                                      *
*                                                                              *
* DESCRIPTION:                                                                 *
*   Declaration of the classes:                                                *
*     ITextControlNotifyHandler                                                *
*                                                                              *
* COPYRIGHT:                                                                   *
*   IBM Open Class Library                                                     *
*   Licensed Material - Property of IBM                                        *
*   (C) Copyright IBM Corp. 1992, 1997  All Rights Reserved                    *
*                                                                              *
*******************************************************************************/
#include <iwinnhdr.hpp>

#if __IBMCPP__ >= 400
#pragma namemangling(compat)
#endif

#pragma enum(4)
#pragma pack(push,4)

class ITextControlNotifyHandler : public IWindowNotifyHandler
{
typedef IWindowNotifyHandler
  Inherited;
public:
/*----------------------------- Constructors ---------------------------------*/
  ITextControlNotifyHandler();
virtual
  ~ITextControlNotifyHandler();

protected:
/*---------------------------- Event Processing ------------------------------*/
virtual IBool
  dispatchHandlerEvent ( IEvent& anEvent );
};

#pragma pack(pop)
#pragma enum(pop)

#if __IBMCPP__ >= 400
#pragma namemangling()
#endif

#endif /* _ITEXTCNH_ */
